%% Hacac
R_vdw = 2.1;                      % Vdwaals radius of half groups
Length = 2.54;                   % Length between half circles

xi = 0:2*pi/20:pi;

Q(1:11,counter)=X+cos(rang)*(R_vdw*cos(xi(1,1:11)))-(Length+R_vdw.*sin(xi(1,1:11)))*sin(rang);
Q(12:22,counter)=X+cos(rang)*(R_vdw*cos(pi+xi(1,1:11)))-(-Length+R_vdw.*sin(pi+xi(1,1:11)))*sin(rang);
Q(23,counter)=Q(1,counter);

R(1:11,counter)=Y+sin(rang)*(R_vdw*cos(xi(1,1:11)))+(Length+R_vdw.*sin(xi(1,1:11)))*cos(rang);
R(12:22,counter)=Y+sin(rang)*(R_vdw*cos(pi+xi(1,1:11)))+(-Length+R_vdw.*sin(pi+xi(1,1:11)))*cos(rang);
R(23,counter)=R(1,counter);

Area_molecule(counter,1) = polyarea(Q(:,counter),R(:,counter));