%% Hthd Monodentate
R_vdw = 3.4;                      	% Van der Waals radius of half groups
Length = 2.45;                   	% Length between half circles 
Shift = -1.375;                    	% Shift parallel to molecule direction
Side_shift = 1.95;              		% Shift perpendicular to molecule direction
ang_corr = -pi/120;						% angular correction (pi/number)

yi = 0:2*pi/20:pi;
xi = yi+ang_corr;                   % angular correction

Q(1:11,counter)=X+cos(rang)*(Side_shift+R_vdw*cos(xi(1,1:11)))-(Shift+Length+R_vdw.*sin(xi(1,1:11)))*sin(rang);
Q(12:22,counter)=X+cos(rang)*(Side_shift+R_vdw*cos(pi+xi(1,1:11)))-(Shift-Length+R_vdw.*sin(pi+xi(1,1:11)))*sin(rang);
Q(23,counter)=Q(1,counter);

R(1:11,counter)=Y+sin(rang)*(Side_shift+R_vdw*cos(xi(1,1:11)))+(Shift+Length+R_vdw.*sin(xi(1,1:11)))*cos(rang);
R(12:22,counter)=Y+sin(rang)*(Side_shift+R_vdw*cos(pi+xi(1,1:11)))+(Shift-Length+R_vdw.*sin(pi+xi(1,1:11)))*cos(rang);
R(23,counter)=R(1,counter);

Area_molecule(counter,1) = polyarea(Q(:,counter),R(:,counter));