%% Acetic Acid
R_vdw = 2.08;                    % Vdwaals radius of half groups (H-H distance/2 + Rvdw)
Length = 1.13;                   % Length between half circles (O-O distance/2)
Shift = 1.13;

xi = 0:2*pi/20:pi;

Q(1:11,counter)=X+cos(rang)*(R_vdw*cos(xi(1,1:11)))-(Shift+Length+R_vdw.*sin(xi(1,1:11)))*sin(rang);
Q(12:22,counter)=X+cos(rang)*(R_vdw*cos(pi+xi(1,1:11)))-(Shift-Length+R_vdw.*sin(pi+xi(1,1:11)))*sin(rang);
Q(23,counter)=Q(1,counter);

R(1:11,counter)=Y+sin(rang)*(R_vdw*cos(xi(1,1:11)))+(Shift+Length+R_vdw.*sin(xi(1,1:11)))*cos(rang);
R(12:22,counter)=Y+sin(rang)*(R_vdw*cos(pi+xi(1,1:11)))+(Shift-Length+R_vdw.*sin(pi+xi(1,1:11)))*cos(rang);
R(23,counter)=R(1,counter);

Area_molecule(counter,1) = polyarea(Q(:,counter),R(:,counter));